> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smokeball.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a memo

> Retrieves a specified memo.



## OpenAPI

````yaml /openapi.json get /matters/{matterId}/memos/{id}
openapi: 3.0.1
info:
  title: API
  version: '1.0'
servers:
  - url: https://api.smokeball.com
  - url: https://api.smokeball.com.au
  - url: https://api.smokeball.co.uk
  - url: https://stagingapi.smokeball.com
  - url: https://stagingapi.smokeball.com.au
  - url: https://stagingapi.smokeball.co.uk
security:
  - api-key: []
    token: []
paths:
  /matters/{matterId}/memos/{id}:
    get:
      tags:
        - Memos
      summary: Get a memo
      description: Retrieves a specified memo.
      operationId: GetMemoById
      parameters:
        - name: matterId
          in: path
          required: true
          schema:
            type: string
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: When request is successful. Returns a 'Memo' object.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Memo'
        '404':
          description: When the specified memo does not exist.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
components:
  schemas:
    Memo:
      type: object
      properties:
        href:
          type: string
          nullable: true
        relation:
          type: string
          nullable: true
        method:
          type: string
          default: GET
          nullable: true
        self:
          allOf:
            - $ref: '#/components/schemas/Link'
          nullable: true
        id:
          type: string
          description: The unique identifier of the memo.
          nullable: true
          example: 009f778f-83df-454a-b344-768a862a7e55
        matterId:
          type: string
          description: The unique identifier of the matter.
          nullable: true
          example: 776e778f-83df-454a-b344-768a862a6e58
        title:
          type: string
          description: The title of the memo.
          nullable: true
          example: Update
        text:
          type: string
          description: "The text (content) of the memo.\r\n            \r\nIn RTF (Rich Text Format)."
          nullable: true
          example: >-
            {\\rtf1\\ansi\\ansicpg1252\\uc1\\htmautsp\\deff2{\\fonttbl{\\f0\\fcharset0
            Times New Roman;}{\\f2\\fcharset0
            Calibri;}}{\\colortbl\\red0\\green0\\blue0;\\red255\\green255\\blue255;}\\loch\\hich\\dbch\\pard\\plain\\ltrpar\\itap0{\\lang1033\\fs18\\f2\\cf0
            \\cf0\\ql{\\f2 {\\ltrch There has been a recent update on this
            matter.}\\li0\\ri0\\sa0\\sb0\\fi0\\ql\\sl15\\slmult0\\par}\r\n}\r\n}
        plainText:
          type: string
          description: The plain text (content) of the memo.
          nullable: true
          example: There has been a recent update on this matter.
        createdDate:
          type: string
          description: Date the memo was created.
          format: date-time
          example: '2022-04-23T14:00:00Z'
        createdByUserId:
          type: string
          description: The unique identifier of the user who created the memo.
          nullable: true
          example: 010f7d8e-82d1-454b-c324-760a862a7e22
        lastUpdated:
          type: string
          description: Date and time that the memo was last updated.
          format: date-time
          nullable: true
          example: '2022-05-02T16:22:02Z'
        updatedByUserId:
          type: string
          description: The unique identifier of the user who last updated the memo.
          nullable: true
          example: 010f7d8e-82d1-454b-c324-760a862a7e22
        isDeleted:
          type: boolean
          description: >-
            Indicates whether or not the memo is deleted (true if it is, false
            if not).
      additionalProperties: false
    ProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    Link:
      type: object
      properties:
        id:
          type: string
          nullable: true
        href:
          type: string
          nullable: true
        relation:
          type: string
          nullable: true
        method:
          type: string
          default: GET
          nullable: true
      additionalProperties: false
  securitySchemes:
    api-key:
      type: apiKey
      name: x-api-key
      in: header
    token:
      type: apiKey
      name: Authorization
      in: header
      x-amazon-apigateway-authtype: cognito_user_pools

````